Skip to main content
POST
/
search
/
v1
/
document
cURL
curl --request POST \
  --url https://aodocs.altirnao.com/api/search/v1/document \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "additionalFields": [
    "<string>"
  ],
  "filters": [
    {
      "column": "<string>",
      "joinType": "AND",
      "kind": "<string>",
      "operator": "EQUAL",
      "value": "<string>"
    }
  ],
  "kind": "<string>",
  "sort": [
    {
      "ascending": true,
      "direction": "ASCENDING",
      "fieldName": "<string>",
      "kind": "<string>",
      "type": "RELEVANCE"
    }
  ]
}
'
{
  "count": 123,
  "exactCount": true,
  "hits": [
    {
      "additionalFields": [
        {
          "fieldName": "<string>",
          "type": "STRING",
          "values": [
            {}
          ]
        }
      ],
      "className": "<string>",
      "documentId": "<string>",
      "folderId": "<string>",
      "folderIsRootFolderOfLibrary": true,
      "folderName": "<string>",
      "iconLink": "<string>",
      "kind": "<string>",
      "lastUpdateTimestamp": "2023-11-07T05:31:56Z",
      "lastUpdater": {
        "email": "<string>",
        "personName": "<string>",
        "thumbnailPictureLink": "<string>"
      },
      "libraryId": "<string>",
      "libraryName": "<string>",
      "stateName": "<string>",
      "title": "<string>"
    }
  ],
  "kind": "<string>",
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

domain
string

The G Suite domain

searchQuery
string

The text searched to filter documents

searchQueryTarget
enum<string>
required

The scope of the search: 'PROPERTIES_ONLY' to search only in the document metadata, 'ATTACHMENTS_ONLY' to search only in the attachment contents.

Available options:
PROPERTIES_ONLY,
ATTACHMENTS_ONLY,
PROPERTIES_AND_ATTACHMENTS
pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

limit
integer<int32>
default:20

The maximum number of documents per page. (Default: 20)

timezone
string

The timezone to use for datetime field searches (default: UTC). Format: 'Europe/Paris' or '+01:00'

securityCode
string

The security code

Body

application/json
additionalFields
string[]
filters
object[]
kind
string
sort
object[]

Response

200 - application/json

A ApiCrossLibrarySearchResult response

count
integer<int32>
exactCount
boolean
hits
object[]
kind
string
nextPageToken
string